XSETUP.CONF(5)

NAME
Xsetup.conf -configuration file for Xsetup.

DESCRIPTION
Xsetup.conf is the (default) configuration file for the XDM setup script Xsetup. On system with multiple X servers, there might be a configuration file per X server. The Xsetup configuration file dedicated to an X server must be named Xsetup.<XDISP>.conf and stored in same directory as script Xsetup. <XDISP> is the X server display name, without field screennumber, and to XDM resource name format, that is, with underscores in place of dots and colons. For instance the value of XDISP for the X server display name :0 is _0. It is _1 in case of X server display name :0, and so on. When there is no configuration file dedicated to a given X server, Xsetup loads the default configuration file : Xsetup.conf. The default configuration file Xsetup.conf can be used as a base configuration inside the configuration file dedicated to a given X server, like in example below :
  ---- Xsetup._1.conf -----
  # Loads defaults
  #
  source ${SCRIPTDIR}/Xsetup.conf

  # Redefines the wallpaper for X server :1
  #
  XDMBGIMG=/usr/share/wallpapers/Autumn/contents/images/1920x1080.jpg
  -------------------------
Below the variables defined in script Xsetup that can be useful in Xsetup configuration file :
    SCRIPTDIR - Absolute path to Xsetup's directory XDISP - The X server display name, without field 'screennumber', and to XDM resource name format.

PROPERTIES

DISABLE_LOG = <on|yes|true|1|off|no|false|0>
    Defines whether or not logging of Xsetup activity must be disabled. Default to off. Activity is logged in : /var/log/xdm-xsetup.${XDISP}.log

XDM_LOCALE = <locale>
    Defines the locale used while running XDM. Default to en_US.UTF-8.

WITH_COMPTON = <on|yes|true|1|off|no|false|0>
    Defines whether or not Xsetup must start the compositor compton if installed. Default to on. Attention, WITH_COMPTON is automatically disabled when the image viewer feh is not installed. This is required because when feh is not available, setxdmbg uses display which is incompatible with compton: the background is greyed and compton emits bunch of messages like as below :
        [5.43] error 141 BadPicture request 138 minor ....

COMPTON_ARGS = ( <compton-option> ... )
    The compton arguments. Default to :
      ( "--backend" "xrender" \
        "--shadow" \
        "--no-dnd-shadow" \
        "--no-dock-shadow" \
        "--clear-shadow" \
        "--shadow-radius=3" \
        "--shadow-offset-x=3" \
        "--shadow-offset-y=3" \
        "--shadow-opacity=0.7" \
        "--shadow-exclude" 'class_g="Xonclock"' \
        "--shadow-exclude" 'class_g="Cairo-clock"' \
        "--shadow-exclude" 'class_g="Xmessage"' \
        "--shadow-exclude" 'class_g="XClock"' \
        "--shadow-exclude" 'class_g="conky"' \
        "--active-opacity=0.9" \
        "--inactive-opacity=0.9" \
        "--blur-background" \
        "--blur-background-exclude" 'class_g="Xonclock"' \
        "--blur-background-exclude" 'class_g="Cairo-clock"' \
        "--blur-background-exclude" 'class_g="conky"' \
        "--paint-on-overlay" )

WITH_BUTTONS_BAR = <on|yes|true|1|off|no|false|0>
    Defines if Xsetup must start the buttons-bar (ie. Xbuttons_bar). Default to on.

BUTTONS_BAR_POSITION = <position>
    Defines the position of the buttons-bar. Can be set to one of the following :
        • TOP_LEFT (default)
        • TOP_RIGHT
        • BOTTOM_LEFT
        • BOTTOM_RIGHT

WITH_XCLOCK = <on|yes|true|1|off|no|false|0>
    Defines if Xsetup must start xclock if installed. Default to on.

XCLOCK_POSITION = <position>
    Defines the position of xclock. Can be set to one of the following:
        • TOP_LEFT
        • TOP_RIGHT (default)
        • BOTTOM_LEFT
        • BOTTOM_RIGHT

XCLOCK_FONT = <font>
    Defines the font of the xclock widget. Default to :
        -misc-dejavu sans light-extralight-r-normal--17-*-*-*-*-*-*-*

XCLOCK_FG_COLOR = <color>
    Defines the foreground color of the xclock widget. Default to grey90.

XCLOCK_STRFTIME = <format>
    Defines the strftime format of the date/time displayed by the xclock widget. Default to: "%T"

WITH_NUMLOCK_ON = <on|yes|true|1|off|no|false|0>
    Defines if the num lock must be activated (using numlockx) when starting xdm. Default to on.

PRIMARY_ONLY = <on|yes|true|1|off|no|false|0>
    Defines whether or not the XDM background and widgets (xclock, buttons-bar, ...) must be displayed on the primary screen only when XDM is running on a multi-screen configuration. Default to on. Note that Xsetup has no control over the display on which the XDM greeting and login prompt are displayed.

PRIMARY_ID = < auto | display-id >
    Defines the identifier of primary display. Can be any existing output supported by xrandr (ex. VGA-1, HDMI-0, DVI-D-0,...), or the keyword auto, to auto-detect the primary display. Default to auto. This property is ignored when PRIMARY_ONLY is set to off. PRIMARY_ONLY is turned off when the given identifier is invalid, or when this property is set to auto and none of the displays listed by xrandr is defined as primary.

XDMBGIMG = <path>
    Full path to the image that Xsetup must pass to setxdmbg to generate the XDM background image. When this property is not set, XDM background is black, unless if compton is enabled, in which case the background is greyed. To prevent this, WITH_COMPTON must be turned off. By default, points the symlink default-wallpaper.pixmap in directory ${SCRIPTDIR}/pixmaps, so that, user can change the XDM background image source without to have to edit Xsetup configuration file.

BORDER_TOP = <height:color>
    The height and color of the border at top of the XDM background image when the buttons-bar and/or xclock widget is/are enabled and placed on top. The value of this property must be to the format: <height>:<color> <color> can be an X11 color name or an hex triplet to the format #rrggbb. Default to 40:black. Important:
        The border is drawn with imagemagick which does not use the same color names as xclock/xmessage For instance, imagemagick associates the color c(0,80,0) to the name "green", while X11 associates this name to the color C(0,255,0).

BORDER_BTM = <height:color>
    The height and color of the border at bottom of the XDM background image when the buttons bar and/or xclock widget is/are enabled and placed on bottom. The same format and informations as for BORDER_TOP apply to this property. Default to 40:black.

EXTRAIMGOPS = ( <operator> ... )
    The imagemagick extra image operators that Xsetup must pass to setxdmbg to generate the XDM background image. Attention, extra image operators can be time consuming the first time the XDM background image is generated. setxdmbg (only) supports the imagemagick image operators below :
          -adaptive-blur <radius[xSigma]>
          -adaptive-sharpen <radius[xSigma]>
          -auto-gamma
          -black-threshold <value[%]>
          -blue-shift <factor>
          -blur <radius[xSigma]>
          -brightness-contrast <B[xC][%]>
          -charcoal <factor>
          -colorize <percent>
          -fill <color>
          -contrast
          -contrast-stretch <BP[xWP][%]>
          -emboss <radius>
          -enhance
          -fft
          -flip
          -flop
          -gaussian-blur <radius[xSigma]>
          -grayscale <method>
          -monochrome
          -negate
          +noise <type>
          -ordered-dither <map[,lvl...]>
          -paint <radius>
          -posterize <levels>
          -radial-blur <angle>
          -raise <thickness>
          +raise <thickness>
          -sharpen <radius[xSigma]>
          -sketch <radius[xSigma[+angle]]>
          -solarize <percent-threshold>
          -tint <value>
    For instance, to use the image operators "-blur 3" and "-paint 4" to generate the XDM background image from the image pointed by XDMBGIMG, EXTRAIMGOPS must be set to :
        EXTRAIMGOPS=( "-blur 3" "-paint 4" ) Note that "-fill", which is not an operator, is required by operators "-colorize" and "-tint". Therefore, to use any of these operators, "-fill" will have to be specified too, like in example below :
        EXTRAIMGOPS=( "-fill blue" "-colorize 4" ) For more about image operators supported by setxdmbg, view this page: https://imagemagick.org/script/command-line-options.php

EXTENSIONS = ( <extension> ... )
    Defines the Xsetup extension(s). An extension is a shell script which adds new feature(s) to Xsetup. The extensions must be in the folder extensions.d of Xsetup's directory. They are loaded/executed at the end of Xsetup according to the order in which they are declared.

SEE ALSO
setxdmbg(1), Xbuttons_bar.conf(5), Xsession.conf(5), analog-clock.conf(5), sysmon-conky.conf(5), xdm-screensaver.conf(5)

AUTHORS
Sébastien Ballet <slacker6896@gmail.com>